$(document).ready(function(){

  function slickCize(element,items,arrow,dot,breakpoint) {
    if (arrow == 'true') {
      arrow = true
    } else {
      arrow = false
    }
    if (dot == 'true') {
      dot = true
    } else {
      dot = false
    }
    if ($(window).width() >= breakpoint) {
      if (element.hasClass('slick-slider')) {
        element.slick('unslick')
      }
      element.css('flex-direction','')
      element.slick({
        slidesToShow: items,
        slidesToScroll: items,
        dots: dot,
        arrows: arrow,
        prevArrow: '<button type="button" class="carousel-prev border-image"><span class="fa fa-angle-left"></span></button>',
        nextArrow: '<button type="button" class="carousel-next border-image"><span class="fa fa-angle-right"></span></button>'
      })
    }
    $(window).resize(function(){
      if ($(window).width() >= breakpoint) {
        if (element.hasClass('slick-slider')) {
          element.slick('unslick')
        }
        element.slick({
          slidesToShow: items,
          slidesToScroll: items,
          dots: dot,
          arrows: arrow,
          prevArrow: '<button type="button" class="carousel-prev border-image"><span class="fa fa-angle-left"></span></button>',
          nextArrow: '<button type="button" class="carousel-next border-image"><span class="fa fa-angle-right"></span></button>'
        })
      }
    })
  }

  function slickCizeAsync(elementAsync,element,items,breakpoint,style) {
    if ($(window).width() >= breakpoint) {
      if (element.hasClass('slick-slider')) {
        element.slick('unslick')
      }
      if (element.children().length <= items) {
        items = element.children().length - 1
        console.log(items)
      }
      if (style == 'true') {
        style = true
      } else {
        style = false
      }
      element.slick({
        slidesToShow: items,
        slidesToScroll: 1,
        asNavFor: elementAsync,
        focusOnSelect: true,
        vertical: style,
        verticalSwiping: style,
        arrows: false,
      });
    }
    $(window).resize(function(){
      if ($(window).width() >= breakpoint) {
        if (element.hasClass('slick-slider')) {
          element.slick('unslick')
        }
        if (element.children().length <= items) {
          items = element.children().length - 1
        }
        if (style == 'true') {
          style = true
        } else {
          style = false
        }
        element.slick({
          slidesToShow: items,
          slidesToScroll: 1,
          asNavFor: elementAsync,
          focusOnSelect: true,
          vertical: style,
          verticalSwiping: style,
          arrows: false,
        });
      }
    })
  }

  function slideShowV1() {
    $('.js-slideshow-v1').slick({
      dots: true,
      arrows: false,
      autoplay: true,
      autoplaySpeed: 5000,
      slidesToShow: 1,
      slidesToScroll: 1,
      fade: true,
      infinite: true,
      adaptiveHeight: true
    }); 




    $('.js-slideshow-v1 .slideshow-item').eq(0).find('.img-item').addClass('active');
    $('.js-slideshow-v1 .slideshow-info').eq(0).addClass('active');
    $('.js-slideshow-v1 img').eq(0).addClass('active');
    $('.js-slideshow-v1').on('beforeChange', function (event, slick, currentSlide, nextSlide) {
      var mySlideNumber = nextSlide;
      var prev = currentSlide;
      $('.js-slideshow-v1 .slideshow-item').eq(mySlideNumber).find('.img-item').addClass('active');
      $('.section-slideshow-v1 .slideshow-info').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-v1 img').eq(mySlideNumber).addClass('active');

      $('.js-slideshow-v1 .slideshow-item').eq(prev).find('.img-item').removeClass('active');
      $('.section-slideshow-v1 .slideshow-info').eq(prev).removeClass('active');
      $('.js-slideshow-v1 img').eq(prev).removeClass('active');
    })
  }

  function productDetailSlide(){
    var check = $('.js-slide-main').attr('data-slide')
    if (check == 'true' ) {
      $('.js-slide-main').slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        dots: false,
        arrows: false,
        fade: true,
        asNavFor: '.js-slide-item'
      });
      slickCizeAsync($('.js-slide-main'),$('.js-slide-item'),3,0,'false')
      slickCizeAsync($('.js-slide-main'),$('.js-slide-item'),4,576,'false')
      slickCizeAsync($('.js-slide-main'),$('.js-slide-item'),3,768,'true')
      slickCizeAsync($('.js-slide-main'),$('.js-slide-item'),4,1400,'true')
    }
  }
  function productDetailSlideBT() {
    var check = $('.js-slide-main-bt').attr('data-slide')
    if (check == 'true' ) {
      $('.js-slide-main-bt').slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        dots: false,
        arrows: false,
        fade: true,
        asNavFor: '.js-slide-item-bt',
        adaptiveHeight: true
      });
      slickCizeAsync($('.js-slide-main-bt'),$('.js-slide-item-bt'),3,0,'false')
      slickCizeAsync($('.js-slide-main-bt'),$('.js-slide-item-bt'),4,576,'false')
    }
  }
  function productDetailSingleSlide() {
    $('.js-single-slide').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      dots: true,
      arrows: true,
      fade: true,
      adaptiveHeight: true,
      prevArrow: '<button type="button" class="carousel-prev border-image"><span class="flaticon-left-arrow-1"></span></button>',
      nextArrow: '<button type="button" class="carousel-next border-image"><span class="flaticon-right-arrow-1"></span></button>',
      responsive: [
        {
          breakpoint: 768,
          settings: {
            arrows: false
          }
        }
      ]
    });
  }

  function relatedSlick(){
    slickCize($('.js_relate_product'),1,'false','true',0)
    slickCize($('.js_relate_product'),2,'false','true',576)
    slickCize($('.js_relate_product'),3,'false','true',768)
    slickCize($('.js_relate_product'),4,'false','true',992)
  }

  function btnSidebar() {

    $('.js-btn-sidebar').on('click',function(){
      $('.toggle-sidebar #toggle-sidebar').toggleClass('active')
      $(this).children().toggleClass('flaticon-close');
      $('.js-overlay-filter-sidebar').toggleClass('active');    
    });
    $('.js-overlay-filter-sidebar').on('click',function(){
      $('.toggle-sidebar #toggle-sidebar').toggleClass('active')
      $('.js-btn-sidebar').children().toggleClass('flaticon-close');
      $('.js-overlay-filter-sidebar').toggleClass('active'); 
    });
  }
  function productCollectionSlide(){
    $('.js-tab-collection').slick({
      slidesToShow: 4,
      slidesToScroll: 1,
      dots: false,
      infinite: true,
      arrows: false,
      variableWidth: true
    });
  }

  function openCloseSearch() {
    $('.js-open-search').on('click',function(){
      $('.search-box').addClass('active');
    })
    $('.js-close-search').on('click',function(){
      $('.search-box').removeClass('active');
    })
  }

  function loginPopup(){
    $('.js-open-login-popup').on('click',function(){
      $('#customer-tab').removeClass('d-none').addClass('d-flex');
      setTimeout(function(){
        $('.content').addClass('active');
      })
    })
    $('.content .js-toggle').each(function(){
      $(this).on('click',function(){
        $('.content').children('.d-none').removeClass('d-none');
        $('#'+$(this).attr('data-toggle')).addClass('d-none')
      })
    })
    $('.js-close-login-popup, .bg-popup').on('click',function(){
      $('.content').removeClass('active');
      setTimeout(function(){
        $('#customer-tab').addClass('d-none').removeClass('d-flex');
      },250)
    })
  }

  function miniCartPopup(){
    $('.js-open-mini-cart').on('click',function(){
      $('#minicart').addClass('active')
      setTimeout(function(){
        $('.mini-cart-content').addClass('active')
      })
    })
    $('.bg-popup, .js-close-cart-popup').on('click',function(){
      $('.mini-cart-content').removeClass('active')
      setTimeout(function(){
        $('#minicart').removeClass('active')
      },250)
    })
  }

  function blogCarousel() {
    slickCize($('.js-blog-v1'),1,false,true,0)
    slickCize($('.js-blog-v1'),2,false,true,480)
    slickCize($('.js-blog-v1'),3,false,true,768)
  }


  function productCarousel() {
    $('.js-product').each(function(){
      var $this = $(this)
      var perRow = parseInt($this.attr('data-product'));
      var arrow = $this.attr('data-arrows');
      var dot = $this.attr('data-dots');
      slickCize($this,1,'false','true',0)
      slickCize($this,2,'false','true',480)
      slickCize($this,3,'false','true',768)
      slickCize($this,4,'false','true',992)
      slickCize($this,perRow,arrow,dot,1400)
    })
  }
  
  function clickTab() {
    var old, link
    $('a[data-style="tab"]').each(function(){
      $(this).on('click',function(e){
        old = $(this).parent().parent().find('.active')
        link = old.attr('href')
        old.removeClass('active')
        $(''+link).removeClass('active')
        $(this).addClass('active')
        $(''+$(this).attr('href')).addClass('active')
        e.preventDefault()
      })
    })
  }


  function productCollection() {
    $('.js-product-collection').each(function(){
      var $this = $(this)
      var perRow = parseInt($this.attr('data-product'));
      var arrow = $this.attr('data-arrows');
      var dot = $this.attr('data-dots');
      slickCize($this,1,'false','true',0)
      slickCize($this,2,'false','true',480)
      slickCize($this,perRow,arrow,dot,1400)
    })
  }


  function testimonialAndBlog() {
    $('.js-testimonial-v1').slick({
      autoplay: false,
      slidesToShow: 1,
      slidesToScroll: 1,
      infinite: true,
      arrows: true,
      prevArrow: '<button class="testimonial-blog-arrow arrow-prev testimonial-prev"><i class="fa fa-angle-left"></i></button>',
      nextArrow: '<button class="testimonial-blog-arrow arrow-next testimonial-next"><i class="fa fa-angle-right"></i></button>',
      dots: false,
    });
    slickCize($('.js-testimonial-v1'),1,true,false,576)
    slickCize($('.js-testimonial-v1'),2,true,false,768)
  }

  function testimonialV1() {
    slickCize($('.js-testimonial-v1-slide'),1,false,true,0)
    slickCize($('.js-testimonial-v1-slide'),2,false,true,768)
    slickCize($('.js-testimonial-v1-slide'),3,false,true,992)
  }

  function categoryV2() {
    $('.js-category-v2').slick({
      autoplay: false,
      slidesToShow: 4,
      slidesToScroll: 4,
      arrows: false,
      dots: true,
      responsive: [
        {
          breakpoint: 992,
          settings: {
            slidesToShow: 3,
            slidesToScroll: 3
          }
        },
        {
          breakpoint: 768,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 2
          }
        },
        {
          breakpoint: 480,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1
          }
        }
      ]
    });
  }

  function verticalMenu() {
    $('.js-open-vertical-menu').on('click',function(){
      $('.vertical').addClass('active')
      $('.js-menu-popup').removeClass('d-none')
    })
    $('.js-menu-popup').on('click',function(){
      $(this).addClass('d-none')
      $('.vertical').removeClass('active')
    })
  }

  function ESC() {
    $(document).keyup(function(e) {
      var key = e.keyCode
      if (key == 27) {
        $('.bg-popup').click();
        $('.js-menu-popup').click();
      }
    });
  }

  function slideShowV3() {

    var $status = $('.pagingInfo');
    var $slickElement = $('.js-slideshow-v3');
    $slickElement.on('init reInit afterChange', function(event, slick, currentSlide, nextSlide) {
      var i = (currentSlide ? currentSlide : 0) + 1;
      $status.html('<span>0' + i + '</span>' + '0' + slick.slideCount );
    });
    $('.js-slideshow-v3').on('afterChange', function(event, slick, currentSlide) {
      $('.slick-active').append('<div class="pagingInfo"');
    });

    $('.js-slideshow-v3').slick({
      dots: false,
      arrows: true,
      autoplay: false,
      autoplaySpeed: 5000,
      fade: true,
      infinite: true,
      adaptiveHeight: true,
      prevArrow: '<button type="button" class="slideshow-arrow slick-slide-prev d-none"></button>',
      nextArrow: '<button type="button" class="slideshow-arrow slick-slide-next d-none"></button>',
      responsive: [
        {
          breakpoint: 768,
          settings: {
            dots: true,
          }
        }
      ],
      customPaging : function(slider, i) {
        var thumb = $(slider.$slides[i]).data();
        return '<a class="d-none d-lg-block">0'+(i+1)+'</a>';
      }
    });


    var maxSlide = $('.js-slideshow-v3 .slick-slide').size()
    var a = parseInt($('.js-slideshow-v3').find('.slick-current').attr('data-slick-index'));
    var b= a+1;
    var next = $('.js-slideshow-v3 .slideshow-item').eq(b).find('.js-effect-v3 img').attr('data-src')
    console.log(b)
    console.log(next)
    $('.next').attr('style',"background-image:url("+next+")")
    $('.js-slideshow-v3').on('afterChange',function (event, slick, currentSlide, nextSlide){
      a = parseInt($('.js-slideshow-v3').find('.slick-current').attr('data-slick-index'));
      b = a+1;
      if (b == maxSlide) {
        var b= 0;
      }

      var next = $('.js-slideshow-v3 .slick-slide').eq(b).find('.js-effect-v3 img').attr('data-src')
      $('.next').attr('style',"background-image:url("+next+")")
    })



    $('.js-slideshow-v3 .slideshow-content').eq(0).addClass('active')
    $('.js-slideshow-v3 .slider-img').eq(0).addClass('active')
    $('.slider-v3 .paginate span').eq(0).addClass('active');
    $('.js-slideshow-v3').on('beforeChange', function (event, slick, currentSlide, nextSlide) {
      var mySlideNumber = nextSlide;
      var prev = currentSlide
      $('.slider-v3 .paginate span').removeClass('active');
      $('.slider-v3 .paginate span').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-v3 .slideshow-content').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-v3 .slider-img').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-v3 .slideshow-content').eq(prev).removeClass('active');
      $('.js-slideshow-v3 .slider-img').eq(prev).removeClass('active');
    })
    $('.js-next-slide').on('click',function(){
      $('.slick-slide-next').click()
    })
    if ($(window).width() > 1199) {
      $('.slideshow-v3').on('mouseenter',function() {
        $('.js-effect-v3').find('img').css('transition','')
      })
      $('.slideshow-v3').on('mousemove',function(event){
        var left = event.clientX;
        var top = event.clientY
        $('.js-effect-v3').each(function(){
          var top1 = $('.js-effect-v3').position().top 
          var left1 = $('.js-effect-v3').position().left 
          $('.js-effect-v3').find('img').css("transform",function(){
            var x = -(left-left1)/10
            var y = -(top-top1)/10
            return 'translate('+x+'px,'+y+'px)'
          })
        })
      })
      $('.slideshow-v3').on('mouseleave',function(){
        $('.js-effect-v3').find('img').css({'transform':'none','transition':'.5s'})
      })
    }
  }

  function slideShowV4() {
    $('.js-slide-v4').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      dots: true,
      fade: true,
      autoplay: false,
      autoplaySpeed: 5000,
    });
    $('.js-slide-v4 .js-change').eq(0).children('.img-main').addClass('active')
    $('.js-slide-v4 .info .info-content').eq(0).children().addClass('active')
    $('.js-slide-v4 .info').eq(0).children().addClass('active')
    $('.js-slide-v4').on('beforeChange', function (event, slick, currentSlide, nextSlide) {
      var mySlideNumber = nextSlide;
      var prev = currentSlide
      setTimeout(function(){
        $('.js-slide-v4 .js-change').eq(prev).children('.img-main').removeClass('active')
        $('.js-slide-v4 .info .info-content').eq(prev).children().removeClass('active')
        $('.js-slide-v4 .info').eq(prev).children().removeClass('active')
      },350);
      $('.js-slide-v4 .js-change').eq(mySlideNumber).children('.img-main').addClass('active')
      $('.js-slide-v4 .info .info-content').eq(mySlideNumber).children().addClass('active')
      $('.js-slide-v4 .info').eq(mySlideNumber).children().addClass('active')
    })
  }

  function bannerSlide(){
    var dot = $('.js-banner-slide').attr('dot')
    if (dot == 'true') {
      dot = true
    } else {
      dot = false
    }
    $('.js-banner-slide').slick({
      autoplay: false,
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      dots: dot
    });
  }

  function slideshowBanner() {
    $('.js-slideshow-banner').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      fade: true,
      arrows: true,
      dots: false,
      prevArrow: '<button type="button" class="slideshow-arrow slick-slide-prev"><i class="fa fa-angle-down"></i></button>',
      nextArrow: '<button type="button" class="slideshow-arrow slick-slide-next"><i class="fa fa-angle-up"></i></button>',
      responsive: [
        {
          breakpoint: 992,
          settings: {
            arrows: false
          }
        }
      ]
    });



    $('.js-slideshow-banner .slideshow-content').eq(0).addClass('active')
    $('.js-slideshow-banner .slider-img').eq(0).addClass('active')
    $('.js-slideshow-banner .extra').eq(0).addClass('active')
    $('.js-slideshow-banner').on('beforeChange', function (event, slick, currentSlide, nextSlide) {
      var mySlideNumber = nextSlide;
      var prev = currentSlide
      $('.js-slideshow-banner .slideshow-content').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-banner .slider-img').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-banner .extra').eq(mySlideNumber).addClass('active');
      $('.js-slideshow-banner .slideshow-content').eq(prev).removeClass('active');
      $('.js-slideshow-banner .slider-img').eq(prev).removeClass('active');
      $('.js-slideshow-banner .extra').eq(prev).removeClass('active');
    })


    if ($(window).width() > 1199) {
      $('.slideshow').on('mouseenter',function() {
        $('.js-effect-slide-banner').find('img').css('transition','')
      })
      $('.slideshow').on('mousemove',function(event){
        var left = event.clientX;
        var top = event.clientY
        $('.js-effect-slide-banner').each(function(){
          var top1 = $('.js-effect-slide-banner').position().top 
          var left1 = $('.js-effect-slide-banner').position().left 
          $('.js-effect-slide-banner').find('img').css("transform",function(){
            var x = -(left-left1)/10
            var y = -(top-top1)/10
            return 'translate('+x+'px,'+y+'px)'
          })
        })
      })
      $('.slideshow').on('mouseleave',function(){
        $('.js-effect-slide-banner').find('img').css({'transform':'none','transition':'.6s'})
      })
    }
  }

  function menuMobile() {  
    $('.js-open-mobile-menu').click(function(){
      $('body').toggleClass('active')
      $('.bg-mobile-menu').toggleClass('active')
    })
    $('.bg-mobile-menu').on('click',function(){
      $('body').removeClass('active')
      $(this).removeClass('active')
      $('.tab-menu-mobile ul').removeClass('active, .active2')
      $('.tab-menu-1').addClass('active')
    })
    $('.js-link-click').each(function(){
      $(this).on('click',function(e){
        e.preventDefault()
        var id = $(this).attr('data-click')
        $(this).parents('.active').addClass('active2')
        var link = $('[data-open="'+id+'"]')
        link.addClass('active')
      })
    })
    $('.js-header-mobile-menu').each(function(){
      $(this).on('click',function(){
        var $link = $('.tab-menu-mobile').find('.active2').eq(-1)
        $(this).parent().removeClass('active')
        $link.removeClass('active2')
      })
    })
  }

  function hdFixed() {
    var start = $('header').position().top
    var absolute = true
    if (!$('.js-hd-fix').hasClass('hd-absolute') && $(window).width() > 1199 ) {
      $('.js-hd-fix').parent().css('height',$('.js-hd-fix').outerHeight()+'px')
    } else {
      $('.js-hd-fix').parent().css('height','')
    }
    $(window).resize(function(){
      if (!$('.js-hd-fix').hasClass('hd-absolute') && $(window).width() > 1199) {
        $('.js-hd-fix').parent().css('height',$('.js-hd-fix').outerHeight()+'px')
      } else {
        $('.js-hd-fix').parent().css('height','')
      }
    })
    $(document).on('scroll',function(){
      if ($(document).scrollTop() > start) {
        $('.js-hd-fix').addClass('hd-fixed')
        if ($('.js-hd-fix').hasClass('style4')) {
          $('.vertical').addClass('active2')
        }
      } else {
        $('.js-hd-fix').removeClass('hd-fixed')
        if ($('.js-hd-fix').hasClass('style4')) {
          $('.vertical').removeClass('active2')
        }
      }
    })
  }

  function resetPassForm() {
    $('.login-page .js-recover-click').on('click',function(){
      $('.login-page .js-customer').addClass('d-none')
      $('.login-page .js-recover').removeClass('d-none')
    })
    $('.login-page .js-hideRecover').on('click',function(){
      $('.login-page .js-customer').removeClass('d-none')
      $('.login-page .js-recover').addClass('d-none')
    })
    $('.customer-tab .js-recover-click').on('click',function(){
      $('.customer-tab .des').addClass('d-none')
      $('.customer-tab .js-customer-login').addClass('d-none')
      $('.customer-tab .js-recover').removeClass('d-none')
    })
    $('.customer-tab .js-hideRecover').on('click',function(){
      $('.customer-tab .des').removeClass('d-none')
      $('.customer-tab .js-customer-login').removeClass('d-none')
      $('.customer-tab .js-recover').addClass('d-none')
    })
  }

  function specialHd() {
    if ($('header.header').hasClass('style5')) {
      $('.product-detail').addClass('with-hdv5')
    }
  }

  function backToTop() {
    $('#back-to-top').on('click',function(){
      $('body,html').animate({scrollTop:0},300)
    })
  }

  function FilterPushLeft(){
    $('.js-filter').on('click',function(){
      $('.js-filter-canvas').toggleClass('active');
      $('.js-overlay-filter').addClass('active');    
    });
    $('.js-close-filter').on('click',function(){
      $('.js-filter-canvas').removeClass('active');
      $('.js-overlay-filter').removeClass('active'); 
    });
    $('.js-overlay-filter').on('click',function(){
      $('.js-filter-canvas').removeClass('active');
      $('.js-overlay-filter').removeClass('active'); 
    });


  }

  function menuDesktopScrollProduct() {
    var $nav = $(".js-header");
    $nav.removeClass('menu-scroll-product');

    $(document).scroll(function() {

      $nav.toggleClass('menu-scroll-product', $(this).scrollTop() > $nav.height());
    });
  }

  productDetailSlide();
  productDetailSlideBT();
  productDetailSingleSlide();
  relatedSlick();
  btnSidebar();
  productCollectionSlide();
  openCloseSearch();
  loginPopup();
  ESC();
  miniCartPopup();
  blogCarousel();
  productCarousel();
  productCollection();
  testimonialAndBlog();
  testimonialV1();
  categoryV2();
  slideShowV1();
  verticalMenu();
  slideShowV3();
  slideShowV4();
  bannerSlide();
  slideshowBanner();
  menuMobile();
  hdFixed();
  resetPassForm();
  specialHd();
  backToTop();
  FilterPushLeft();
  menuDesktopScrollProduct();
  clickTab();
})